classification
Title: .then execution of actions following a future's completion
Type: enhancement Stage: resolved
Components: asyncio Versions: Python 3.8
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, dancollins34, r.david.murray, yselivanov
Priority: normal Keywords: patch

Created on 2018-01-26 04:04 by dancollins34, last changed 2018-05-28 20:04 by yselivanov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5535 dancollins34, 2018-01-26 04:04
PR 5335 closed dancollins34, 2018-01-26 04:22
Messages (4)
msg310730 - (view) Author: (dancollins34) * Date: 2018-01-26 04:04
To my knowledge, python currently has no capability to chain future execution, requiring another future to begin executing with the result from the first.

I have submitted a pr to enable this functionality with a .then(self, fn) method on the concurrent.futures.Future object.

-dancollins34
msg310731 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2018-01-26 04:09
I think this requires a discussion on the python-ideas mailing list, since API changes to Future need consideration in the asyncio context as well.
msg310733 - (view) Author: (dancollins34) * Date: 2018-01-26 04:24
Okay, I'll post something.
msg317703 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-05-25 19:37
Closing this one. I don't see us adding Future.then. Feel free to discuss on the MLs.
History
Date User Action Args
2018-05-28 20:04:09yselivanovsetstatus: open -> closed
2018-05-25 19:37:59yselivanovsetnosy: + yselivanov, asvetlov
messages: + msg317703

components: + asyncio, - Library (Lib)
resolution: rejected
stage: patch review -> resolved
2018-01-26 04:24:18dancollins34setmessages: + msg310733
2018-01-26 04:22:28dancollins34setkeywords: + patch
stage: patch review
pull_requests: + pull_request5182
2018-01-26 04:09:32r.david.murraysetversions: + Python 3.8, - Python 3.7
nosy: + r.david.murray

messages: + msg310731

components: + Library (Lib), - Interpreter Core
type: enhancement
2018-01-26 04:04:25dancollins34create